PackageGroup
Date: 2013-06-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.resourcebroker.utils.serialization.types
Class PackageGroup

    java.lang.Object
      org.gcube.vremanagement.resourcebroker.utils.serialization.types.PackageGroup

All Implemented Interfaces:
  java.lang.Cloneable

    public class PackageGroup

extends java.lang.Object
implements java.lang.Cloneable

Author:
  Daniele Strollo (ISTI-CNR)

Field Summary
`static java.lang.String` | `NODE_TAG`

Constructor Summary
`PackageGroup()` Deprecated. use `PlanRequest.createPackageGroup(String)` or `PlanResponse.createPackageGroup(String)` instead.

Method Summary
`void` | `addPackage(PackageElem p)`
`void` | `addRequirement(Requirement requirement)`
`void` | `addRequirements(Requirement[] requirements)`
`PackageGroup` | `clone()`
`java.lang.String` | `getGHN()`
`java.lang.String` | `getID()`
`java.util.List<PackageElem>` | `getPackages()`
`java.util.List<Requirement>` | `getRequirements()`
`java.lang.String` | `getServiceName()`
`boolean` | `hasRequirements()`
`void` | `setGHN(java.lang.String ghn)`
`void` | `setID(java.lang.String id)`
`void` | `setServiceName(java.lang.String serviceName)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NODE_TAG

    public static final java.lang.String NODE_TAG

See Also:
  Constant Field Values

Constructor Detail

### PackageGroup

    public PackageGroup()

  Deprecated. use `PlanRequest.createPackageGroup(String)` or `PlanResponse.createPackageGroup(String)` instead.

Method Detail

### getServiceName

    public java.lang.String getServiceName()

### setServiceName

    public void setServiceName(java.lang.String serviceName)

### setID

    public void setID(java.lang.String id)

### getID

    public java.lang.String getID()

### addPackage

    public void addPackage(PackageElem p)

### setGHN

    public void setGHN(java.lang.String ghn)

### getGHN

    public java.lang.String getGHN()

### getPackages

    public java.util.List<PackageElem> getPackages()

### clone

    public PackageGroup clone()
                       throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

### addRequirement

    public final void addRequirement(Requirement requirement)

### addRequirements

    public final void addRequirements(Requirement[] requirements)

### hasRequirements

    public final boolean hasRequirements()

### getRequirements

    public final java.util.List<Requirement> getRequirements()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD